Update form
Updates an existing form.
Your request body must include all the existing form fields, in addition to the new email field.
Overwrites the previously stored form with the given form_id. Any new fields in your request will be added to the form. Likewise, any fields you don’t include in your request will be deleted from the form. Make sure your PUT request contains every field you want to include in your updated form, including the field id.
NOTE: Tread carefully when updating fields in forms. PUT overwrites the entire form, so if you don’t include each field (with the original field id) in your PUT request, the missing fields and results for those fields will be deleted.
Details about the fields and elements for this endpoint are available in the Create Form description.
The theme property applies a theme to the form. If you don’t specify a value for the ‘theme’ property, Typeform applies a new copy of the default theme to the form, even if you already have a copy of the default theme applied to this form.
Authentication
A string representation of JWT containing at least two parameters:
ctx.user_id — user’s id
ctx.account_id — user’s default account id
ctx.account_uid — user’s default account uid
The usage of account_(u)id from JWT is discouraged, user can have access to multiple accounts, every endpoint has to be account aware if it’s needed.
This JWT must be signed by the appropriate authority.
Path parameters
Unique ID for the form. Find in your form URL. For example, in the URL “https://mysite.typeform.com/to/u6nXL7” the form_id is u6nXL7.